Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005450 [JEDI VCL] 00 JVCL Components minor always 2011-01-03 04:09 2011-09-21 14:10
Reporter gman00 View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005450: JTvTreeView HideSelection property does not work
Description According to Embarcadero docs... Use [Treeview.]HideSelection to specify whether the user is given visual feedback about the current selection in the tree view when it does not have focus. If true, the selected node is not visually distinct from other nodes until focus returns to the control. If false, the node always appears selected.

This does not work as expected. When setting HideSelection to false, I click on a node. It selects (changes color). As soon as I click on a memo control, button, etc, the selection coloring goes away. When I click on an empty area pf the Treeview, the original node I selected goes back to the selection color.
Additional Information Delphi 2010
Windows 7 Ultimate
JVCL 340
JCL 221

Note that this was an issue several years ago, but notes said that it was fixed. I am seeing the issue again. ID:0003786

Thanks,
GS
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0018348)
obones (administrator)
2011-02-15 13:47

Please provide the zipped sources of a sample application showing this.
(0018383)
AHUser (developer)
2011-02-16 18:39

Fixed in svn revision 12985.

This bug was only visible if you use the classic theme (or you have no XP Theming manifest in your application)

- Issue History
Date Modified Username Field Change
2011-01-03 04:09 gman00 New Issue
2011-02-15 13:47 obones Note Added: 0018348
2011-02-15 13:47 obones Status new => feedback
2011-02-16 18:39 AHUser Note Added: 0018383
2011-02-16 18:39 AHUser Status feedback => resolved
2011-02-16 18:39 AHUser Fixed in Version => Daily / SVN
2011-02-16 18:39 AHUser Resolution open => fixed
2011-02-16 18:39 AHUser Assigned To => AHUser
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker